CGAL 6.2 - 3D Surface Mesh Generation: I/O

CGAL 6.2 - 3D Surface Mesh Generation

Loading...
Searching...
No Matches
Enumerations | Functions
I/O
Reference Manual » Functions

##

## Enumerations
enum | CGAL::Surface_mesher::IO_option { CGAL::Surface_mesher::NO_OPTION = 0 , CGAL::Surface_mesher::IO_ORIENT_SURFACE = 1 , CGAL::Surface_mesher::IO_VERBOSE = 2 }
| Options for function `output_surface_facets_to_off()`. More...

## Functions
template<class SurfaceMeshComplex_2InTriangulation_3 >
bool | CGAL::output_surface_facets_to_off (std::ostream &os, const SurfaceMeshComplex_2InTriangulation_3 &c2t3, int options=Surface_mesher::IO_ORIENT_SURFACE)
| writes a manifold or non-manifold surface reconstructed by `make_surface_mesh()` in the OFF file format.
template<class C2T3 , class TriangleMesh >
void | CGAL::facets_in_complex_2_to_triangle_mesh (const C2T3 &c2t3, TriangleMesh &graph)
| converts a manifold surface reconstructed by `make_surface_mesh()` to a `TriangleMesh`.

## Enumeration Type Documentation

## ◆ IO_option

enum CGAL::Surface_mesher::IO_option

`#include <CGAL/IO/Complex_2_in_triangulation_3_file_writer.h>`

Options for function `output_surface_facets_to_off()`.

Enumerator
NO_OPTION |
IO_ORIENT_SURFACE |
IO_VERBOSE |

## Function Documentation

## ◆ facets_in_complex_2_to_triangle_mesh()

template<class C2T3 , class TriangleMesh >

void CGAL::facets_in_complex_2_to_triangle_mesh | ( | const C2T3 & | c2t3,
|  | TriangleMesh & | graph
| ) |  |

`#include <CGAL/IO/facets_in_complex_2_to_triangle_mesh.h>`

converts a manifold surface reconstructed by `make_surface_mesh()` to a `TriangleMesh`.

This function exports the surface as a `TriangleMesh` and appends it to `graph`. It must be manifold. For this purpose, you may call `make_surface_mesh()` with `Manifold_tag` or `Manifold_with_boundary_tag` parameter.

Template Parameters

  C2T3 | a model of `SurfaceMeshComplex_2InTriangulation_3`.
  TriangleMesh | a model of `MutableFaceGraph` with an internal point property map. The point type should be compatible with the one used in `C2T3`.

Parameters

  c2t3 | a manifold instance of `C2T3`.
  graph | an instance of `TriangleMesh`.

See also
  `CGAL::output_surface_facets_to_off()`

Examples
  Surface_mesher/mesh_an_implicit_function.cpp.

## ◆ output_surface_facets_to_off()

template<class SurfaceMeshComplex_2InTriangulation_3 >

bool CGAL::output_surface_facets_to_off | ( | std::ostream & | os,
|  | const SurfaceMeshComplex_2InTriangulation_3 & | c2t3,
|  | int | options = `Surface_mesher::IO_ORIENT_SURFACE`
| ) |  |

`#include <CGAL/IO/Complex_2_in_triangulation_3_file_writer.h>`

writes a manifold or non-manifold surface reconstructed by `make_surface_mesh()` in the OFF file format.

In case the surface is manifold the triangles can be oriented.

Template Parameters

  SurfaceMeshComplex_2InTriangulation_3 | must be a model of the `SurfaceMeshComplex_2InTriangulation_3` concept.

Returns
  `true` if the surface is manifold and orientable.

Parameters

  os | stream in which to write.
  c2t3 | Input surface.
  options | an int that is the binary union of values of `Surface_mesher::IO_option`.

Returns
  `true` if the surface could be written to the stream.

See also
  Object File Format (OFF)
  `CGAL::output_surface_facets_to_polyhedron()`

Examples
  Surface_mesher/mesh_a_3d_gray_image.cpp.